
SETUP_INFO = dict(
    name = 'infi.vendata.vmware_powertools',
    version = '2.0.2',
    author = 'Arnon Yaari',
    author_email = 'arnony@infinidat.com',

    url = 'http://www.infinidat.com',
    license = 'PSF',
    description = """Infinidat Powertools for VMWare""",
    long_description = """VMWare appliance containing Infinidat tools to manage Infinidat InfiniBox from VMWare vCenter, including a VASA server and a plugin for managing volumes, snapshots, and other settings from a vSphere client.""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'CherryPy>=3.7.0',
'click>=4.0',
'Cython>=0.22',
'docopt>=0.6.2',
'Flask>=0.10.1',
'gevent>=1.0.2',
'httpie>=0.9.2',
'infi.exceptools>=0.2.10',
'infi.execute>=0.1.2',
'infi.greeter>=0.0.7',
'infi.hbaapi>=0.2.3',
'infi.monotonic-time>=0.1.5',
'infi.pyutils>=1.0.8',
'infi.pyvmomi-wrapper>=0.1.11',
'infi.storagemodel>=0.4.5',
'infi.traceback>=0.3.11',
'infi.vendata.credentials-store>=0.0.6',
'infi.vendata.powertools>=2.0.2',
'infi.ZSI>=2.2.2',
'infinisdk>=45.0',
'ipython>=3.1.0',
'itertools-recipes>=0.1',
'json-rest>=0.1.6',
'Logbook>=0.9.1',
'Mako>=1.0.1',
'mock>=1.0.1',
'munch>=2.0.2',
'python-cjson>=1.1.0',
'pyvmomi>=5.5.0.1',
'redis>=2.10.3',
'reimport>=1.4.1',
'Routes>=2.1',
'rpyc>=3.3.0',
'setuptools>=17.1.1',
'zc.buildout>=2.3.1'
],
    namespace_packages = ['infi', 'infi.vendata'],

    package_dir = {'': 'src'},
    package_data = {'': ['static/css/*.css', 'static/fonts/*.eot', 'static/fonts/*.svg', 'static/fonts/*.ttf', 'static/fonts/*.woff', 'static/fonts/*.otf', 'static/fonts/*.html', 'static/html/*.html', 'static/images/*.png', 'static/images/*.gif', 'static/js/*.js', 'templates/*.mako']},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = [
'infinivmware = infi.vendata.vmware_powertools.scripts:main',
'infinivmware-greeter = infi.vendata.vmware_powertools.scripts.greeter:main',
'infinivmware-log = infi.vendata.vmware_powertools.scripts.log_page:server'
],
        gui_scripts = []),
    )

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

