def get_vm():
    from infi.vendata.vmware_powertools.ovf import OVF
    from infi.vendata.vmware_powertools.vcenter.shortcuts import moref_to_object
    vm_id = OVF.get_vm_id()
    vm_moref = "VirtualMachine:{}".format(vm_id)
    return moref_to_object(vm_moref)


def update_vm(vm, version, full_version):
    from infi.vendata.vmware_powertools.vcenter.shortcuts import wait_for_task
    from pyVmomi import vim
    info = vim.VAppProductInfo(key=0, version=version, fullVersion=full_version)
    product = vim.VAppProductSpec(operation="edit", info=info)
    spec = vim.VirtualMachineConfigSpec(vAppConfig=vim.VmConfigSpec(product=[product]))
    task = vm.ReconfigVM_Task(spec=spec)
    wait_for_task(task)


def update_vm_version_if_necessary():
    from infi.vendata.vmware_powertools.info import get_product_version, __version__
    full_version = __version__
    version = get_product_version()
    vm = get_vm()
    if vm.summary.config.product.version == version and vm.summary.config.product.fullVersion == full_version:
        return
    update_vm(vm, version, full_version)
