from SocketServer import BaseServer
from ZSI.ServiceContainer import ServiceContainer as BaseServiceContainer
from ZSI.ServiceContainer import SOAPRequestHandler as BaseSOAPRequestHandler
from ..vasa_provider import Service

class SOAPRequestHandler(BaseSOAPRequestHandler):
    def __init__(self, request, client_address, server):
        from ..utils import local_storage
        local_storage.set_handler(self)
        BaseSOAPRequestHandler.__init__(self, request, client_address, server)  # old-style class

    def do_GET(self):
        if self.path.lower().endswith(".vmsg"):
            self.send_response(200)
            self.send_header("Content-Length", 0)
            self.send_header("Content-Type", "text/plain")
            self.end_headers()
            self.wfile.write('')
            self.wfile.flush()
        else:
            BaseSOAPRequestHandler.do_GET(self)

class ServiceContainer(BaseServiceContainer, BaseServer):
    def __init__(self):
        self._nodes = self.NodeTree()
        map(lambda s: self.setNode(s), (Service("/vasa"),))

        BaseServer.__init__(self, None, SOAPRequestHandler)
        from ...config import Configuration
        self.server_name, self.server_port = Configuration.get_vasa_provider_bind_address_and_port()
