import cherrypy
from infi.vendata.vmware_powertools import config, info
from ... import JINJA_ENV


def _get_extensions():
    from infi.vendata.vmware_powertools.webapp.plugin.views import Views
    from infi.vendata.vmware_powertools.webapp.plugin.resource import ExtensionResource
    extensions = {}
    for key, value in Views.__dict__.items():
        if isinstance(value, ExtensionResource) and value.index.exposed:
            extensions[key] = value
    return extensions


class Info(object):
    @cherrypy.expose
    def index(self):
        cherrypy.response.headers['Content-Type'] = 'application/xml'
        template = JINJA_ENV.get_template('info.xml')
        xml = template.render(info=info,
                              webapp_url=config.Configuration.get_webapp_url(),
                              key=config.Configuration.get_vcenter_extension_key(),
                              extensions=_get_extensions())
        return xml.encode('utf-8')
