var readiness = {
    prepare_host: function(callback) {
        var ajaxOptions = {type: "POST", dataType: "json", cache: false, url: readiness.ajaxSource, data: {silent: 'true'}};
        spinnerFactory.blockUI("huge");
        view.ajax(ajaxOptions, function() {
            readiness.msg = null;
            if (callback) callback();
        }, null, $.unblockUI);
    },

    prepare_host_popup: function(callback) {
        $("#readinesss-reason").text(readiness.msg);
        $("#readiness-container").dialog({
            dialogClass: "no-close",
            closeOnEscape: false,
            modal: true,
            width: 540,
            height: 250,
            resizable: false,
            buttons: [
                {
                    text: "PREPARE " + entity_name.toUpperCase(),
                    click: function() {
                        $(this).dialog("close");
                        readiness.prepare_host(callback);
                    }
                }
            ]
        });
    },

    check_if_ready: function(silent) {
        readiness.msg = null;
        spinnerFactory.blockUI("huge");
        var ajaxOptions = {type: "GET", dataType: "json", cache: false, url: readiness.ajaxSource, data: {silent: silent}};
        view.ajax(ajaxOptions, function(json) {
            $.unblockUI({fadeOut: 0, onUnblock: function() {
                if (json.return_value != true) {
                    readiness.msg = json.return_value;
                    if (!silent) readiness.prepare_host_popup();
                }
                else {
                    if (!silent) {
                        $("#readiness-ok-message").dialog({
                            modal: true,
                            width: 540,
                            height: 200,
                            resizable: false,
                            buttons: {
                                'OK': function() {
                                    $(this).dialog("close");
                                }
                            }
                        });
                    }
                }
            }});
        });
    },

    with_provisioning_enabled: function(callback) {
        // Used before volume operations to ensure that they can run
        if (readiness.msg) {
            readiness.prepare_host_popup(callback);
        }
        else {
            callback();
        }
    },

    init: function(ajaxSource) {
        readiness.ajaxSource = ajaxSource;
        readiness.check_if_ready(true);
    }
}
