var registration = {
    getCallbackUpdateResult: function(selInfinibox, ajaxSource) {
        var callback = function (json) {
            var info = infinibox.getInfo(selInfinibox);
            if (!infinibox.isSupported(selInfinibox)) {
                return null;
            }
            infinibox.getAjaxLoader(selInfinibox).hide();
            infinibox.getInfo(selInfinibox).unblock();
            if (json.return_value == true) {
                info.unblock();
                info.removeClass("unregistered");
                infinibox.getActionContainer(selInfinibox).show();
                view.select(".not-registered", info).hide();
            } else {
                infinibox.getRegistrationButton(selInfinibox).show();
                view.select(".not-registered", info).show();
                info.addClass("unregistered");
            }
        }
        return callback;
    },

    getRegisterHandler: function(selInfinibox, ajaxSource) {
        var callback = function() {
            var serial = infinibox.getSerial(selInfinibox);
            spinnerFactory.block(infinibox.getInfo(selInfinibox), "small");
            auth.call_with_credentials(serial,
                function() {
                    var data = {serial: serial};
                    var ajaxOptions = {type: "POST", dataType: "json", data: data,
                                       cache: false, url: ajaxSource};
                    spinnerFactory.block(infinibox.getInfo(selInfinibox), "small");
                    if (!infinibox.isSupported(selInfinibox)) {
                        return;
                    }
                    var callback = registration.getUpdateCallback(selInfinibox, ajaxSource);
                    infinibox.getRegistrationButton(selInfinibox).hide();
                    view.select(".not-registered", selInfinibox).hide();
                    view.ajax(ajaxOptions, null, null, callback);
                },
                function() {
                    infinibox.getInfo(selInfinibox).unblock();
                }
            );
        }
        return callback;
    },

    showAjaxLoader: function(divInfinibox) {
        var selInfinibox = jQuery(divInfinibox);
        if (!infinibox.isSupported(selInfinibox)) {
            return;
        }
        view.select(".not-registered", divInfinibox).hide();
        infinibox.getActionContainer(divInfinibox).hide();
        infinibox.getRegistrationButton(divInfinibox).hide();
        infinibox.getAjaxLoader(divInfinibox).show();
    },

    update: function(divInfinibox, ajaxSource) {
        var selInfinibox = jQuery(divInfinibox);
        var serial = infinibox.getSerial(selInfinibox);
        var data = {serial: serial};
        var ajaxOptions = {type: "GET", dataType: "json", data: data,
                           cache: false, url:ajaxSource};
        if (!infinibox.isSupported(selInfinibox)) {
            return;
        }
        var callback = registration.getCallbackUpdateResult(selInfinibox, ajaxSource);
        view.ajax(ajaxOptions, callback, null, null);
        registration.showAjaxLoader(divInfinibox);
    },

    getUpdateCallback: function(divInfinibox, ajaxSource) {
        var callback = function() {
            registration.update(divInfinibox, ajaxSource);
        }
        return callback;
    },

    setFixOnAll: function(ajaxSource) {
        var foreach = function(index, divInfinibox) {
            var selInfinibox = jQuery(divInfinibox);
            if (!infinibox.isSupported(selInfinibox)) {
                return;
            }
            var button = infinibox.getRegistrationButton(selInfinibox);
            var callback = registration.getRegisterHandler(selInfinibox, ajaxSource);
            button.click(callback);
        }
        jQuery(".infinibox.root").each(foreach);
    },

    updateAll: function(ajaxSource) {
        var foreach = function(index, divInfinibox) {
            registration.update(divInfinibox, ajaxSource);
        }
        jQuery(".infinibox.root").each(foreach);
    },

    init: function(ajaxSource) {
        spinnerFactory.create(jQuery(".register-ajax-loader"), "small");
        registration.setFixOnAll(ajaxSource);
        registration.updateAll(ajaxSource);
    }
}
