<%inherit file="base_page.mako"/>

<%block name="body_class">datastore_page</%block>

<%block name="head">

    ${parent.head()}

    <script src="/static/vmware/js/datastore-and-folder.js?_=${timestamp}"></script>
    <script type="text/javascript">
        var sources = ${sources};
        jQuery(document).ready(datastoreFolder.getCallbackOnLoad(sources));
    </script>

</%block>

<div class="header breadcrumb-header">
    <div class="inner-breadcrumb-header">
        <span class="right">
            <a class="btn btn-blue create_snapshot_popup" style="display: none" href="#">Snapshot</a>
            <img class="separator" src="/static/images/header-separator.png" />
            <img class="slogan" src="/static/images/header-slogan.png" />
            <%include file="page_actions.mako" args="entity_name='datastore'"/>
        </span>
        <span class="left">
            <img class="icon" src="/static/images/icon-datastore.png" />
            <span class="moref">${datastorename}</span>
        </span>
    </div>
    % if not is_infinidat_datastore:
    <div id="breadcrumb" class="breadcrumb">No InfiniBox</div>
    % else:
    <div id="breadcrumb" class="breadcrumb">InfiniBox ${infinibox_name} / Host ${infinibox_host_name} / Volume ${infinibox_volume_name}</div>
    % endif
</div>
<div id="inventory">
    % if not is_infinidat_datastore:
    <div class="not-infinidat">Datastore is not an INFINIDAT datastore</div>
    % else:
    <table id="vmtable" class="vm-table infinibox table"><thead></thead><tbody></tbody></table>
    % endif
</div>

<%include file="snapshot_modal.mako"/>
<%include file="auth_modal.mako"/>
