<%inherit file="base_page.mako"/>

<%block name="body_class">host_page</%block>

<%block name="head">

    ${parent.head()}

    <script src="/static/vmware/js/host-and-cluster.js?_=${timestamp}"></script>
    <script type="text/javascript">
        var sources = ${sources};
        var entity_name = 'host';
        jQuery(document).ready(hostCluster.getCallbackOnLoad(sources));
    </script>

</%block>

<div class="header">
    <span class="right">
        <img class="separator" src="/static/images/header-separator.png" />
        <img class="slogan" src="/static/images/header-slogan.png" />
        <%include file="page_actions.mako" args="entity_name='host'"/>
    </span>
    <span class="left">
        <img class="icon" src="/static/vmware/images/host-icon.png" />
        <span class="moref">${hostname}</span>
    </span>
</div>

% if host_disconnected:
    <div class="no-infiniboxes">Host is disconnected. INFINIDAT operations are not allowed in this state.</div>
% elif host_in_maintenance:
    <div class="no-infiniboxes">Host is in maintenance mode. INFINIDAT operations are not allowed in this state.</div>
% else:
<%include file="inventory.mako" args="infiniboxes=infiniboxes, entity_name='host', empty_message='No InfiniBoxes detected'"/>
<%include file="readiness.mako" args="entity_name='host'"/>
<%include file="create_vol_modal.mako"/>
<%include file="map_vol_modal.mako"/>
<%include file="auth_modal.mako"/>
<%include file="actions_modal.mako"/>
<%include file="datastore_actions.mako"/>
<%include file="resize_modal.mako"/>
<%include file="rename_modal.mako"/>
% endif
