<div class="modal snap-modal" id="create-snap-modal" style="display: none" title="CREATE SNAPSHOT">
    <div class="modal-inner-table">

        <img class="snap-modal-icon" src="/static/vmware/images/snapshot-icon-big.png">

        <table class="form-table">
            <tr>
                <td>
                    <label>SNAPSHOT NAME</label>
                    <br>
                    <input class="modal-input snapname" type="text" spellcheck="false" maxlength="65"><br>
                    <div class="modal-inner-text snap-modal-note-text">If left empty, a default name will be assigned</div>
                </td>
            </tr>
            <tr>
                <td>
                    <label>DESCRIPTION</label>
                    <br>
                    <textarea class="snapdesc modal-input"></textarea>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="checkbox" class="consistent" id="consistent" checked="checked">
                    <label for="consistent">Perform VMWare consistency snapshot</label>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="checkbox" class="consolidate" id="consolidate">
                    <label for="consolidate">Consolidate virtual disk</label>
                </td>
            </tr>
        </table>

    </div>
</div>


<div class="modal snap-modal" id="edit-snap-modal" style="display: none" title="EDIT SNAPSHOT">
    <div class="modal-inner-table">

        <img class="snap-modal-icon" src="/static/vmware/images/snapshot-icon-big.png">

        <table class="form-table">
            <tr>
                <td>
                    <label>SNAPSHOT NAME</label>
                    <br>
                    <input class="modal-input snapname" type="text" spellcheck="false" maxlength="65"><br>
                </td>
            </tr>
            <tr>
                <td>
                    <label>DESCRIPTION</label>
                    <br>
                    <textarea class="snapdesc modal-input"></textarea>
                </td>
            </tr>
        </table>

    </div>
</div>


<div class="modal snap-modal" id="volume-info-modal" style="display: none" title="VOLUME INFORMATION">
    <div class="modal-inner-table">

        <img class="snap-modal-icon" src="/static/vmware/images/snapshot-icon-big.png">

        <table class="form-table">
            <tr>
                <td><label>SNAPSHOT VOLUME NAME</label></td>
                <td><label></label></td>
            </tr>
            <tr>
                <td><label>ORIGINAL VOLUME NAME</label></td>
                <td><label></label></td>
            </tr>
            <tr>
                <td><label>ORIGINAL DATASTORE NAME</label></td>
                <td><label></label></td>
            </tr>
            <tr>
                <td><label>SNAPSHOT SIZE</label></td>
                <td><label></label></td>
            </tr>
            <tr>
                <td><label>VMS IN THIS SNAPSHOT</label></td>
                <td><div class="vm-list"></div></td>
            </tr>
        </table>
    </div>
</div>


<div class="modal snap-modal" id="revert-snap-modal" style="display: none" title="RESTORE SNAPSHOT">
    <div class="modal-inner-table">

        <img class="snap-modal-icon" src="/static/vmware/images/snapshot-icon-big.png">

        <table class="form-table">
            <tr>
                <td><label for="snap-modal-name">RESTORED VM NAME</label></td>
                <td><input class="modal-input" id="snap-modal-name" type="text" spellcheck="false" maxlength="80"></td>
            </tr>
            <tr>
                <td><label for="snap-modal-host">TARGET HOST</label></td>
                <td><input class="modal-input snap-target-textbox" id="snap-modal-host" type="text" tabindex="-1" readonly></input><button type="button" id="snap-host-btn" class="modal-button">...</button></td>
            </tr>
            <tr id="snap-modal-datastore-row">
                <td><label for="snap-modal-datastore">TARGET DATASTORE</label></td>
                <td><input class="modal-input snap-target-textbox" id="snap-modal-datastore" type="text" tabindex="-1" readonly></input><button type="button" id="snap-datastore-btn" class="modal-button">...</button></td>
            </tr>
            <tr>
                <td><label for="snap-modal-folder">TARGET FOLDER</label></td>
                <td><input class="modal-input snap-target-textbox" id="snap-modal-folder" type="text" tabindex="-1" readonly></input><button type="button" id="snap-folder-btn" class="modal-button">...</button></td>
            </tr>
            <tr style="display:none">
                <td><label for="snap-modal-datacenter">TARGET DATACENTER</label></td>
                <td><input class="modal-input snap-target-textbox" id="snap-modal-datacenter" type="text" tabindex="-1" readonly></input><button type="button" id="snap-datacenter-btn" class="modal-button">...</button></td>
            </tr>
        </table>
    </div>
</div>

<div class="modal snap-modal" id="snap-tree-modal" style="display: none" title="SELECT TARGET">
  <div id="snap-tree">
  </div>
</div>

<script>
    $(".snap-modal .snapname").regexRestrict(RegExp("[^a-zA-Z0-9\\+\\^&\'@{}\\[\\]\\$=!()#%.~_ -]", "g"));
    $(".snap-modal .snapdesc, .snap-modal .vmname").regexRestrict(RegExp("[^ -~]", "g")); // only printable ASCII chars
    $(".snap-modal #consistent").on("change", function() {
        if ($(this).is(":checked")) {
            $(".snap-modal #consolidate").removeAttr("disabled");
        }
        else {
            $(".snap-modal #consolidate").attr("disabled", true);
        }
    });
</script>
