<%inherit file="base_page.mako"/>

<%block name="body_class">vm_page</%block>

<%block name="head">

    ${parent.head()}

    <link type="text/css" href="/static/vmware/css/ui.fancytree.min.css?_=${timestamp}" rel="stylesheet" />
    <script src="/static/vmware/js/jquery.fancytree.min.js?_=${timestamp}"></script>

    <script src="/static/vmware/js/virtualmachine_operations.js?_=${timestamp}"></script>
    <script src="/static/vmware/js/virtualmachine.js?_=${timestamp}"></script>
    <script type="text/javascript">
        var sources = ${sources};
        jQuery(document).ready(virtualmachine.getCallbackOnLoad(sources));
    </script>

</%block>

<div class="header breadcrumb-header">
    <div class="inner-breadcrumb-header">
        <span class="right">
            % if back_element is not None:
                <span id="back-link"><a id="back" href="${back_url}">&laquo; Back to ${back_element}</a></span>
                <img class="separator" src="/static/images/header-separator.png" />
            % endif
            % if object_exists and is_infinidat_datastore and not too_many_datastores:
                <a class="btn btn-blue create_snapshot_popup" href="#">Snapshot</a>
            % endif
            <img class="separator" src="/static/images/header-separator.png" />
            <img class="slogan" src="/static/images/header-slogan.png" />
            <%include file="page_actions.mako" args="entity_name='vm'"/>
        </span>
        <span class="left">
            <img class="icon" src="/static/vmware/images/icon-vm.png" />
            <span class="moref">${vmname}</span>
        </span>
    </div>
    % if not object_exists:
    <div id="breadcrumb" class="breadcrumb">Virtual Machine deleted</div>
    % elif not is_infinidat_datastore:
    <div id="breadcrumb" class="breadcrumb">No InfiniBox</div>
    % elif too_many_datastores:
    <div id="breadcrumb" class="breadcrumb"></div>
    % else:
    <div id="breadcrumb" class="breadcrumb">InfiniBox ${infinibox_name} / Host ${infinibox_host_name} / Volume ${infinibox_volume_name} / Datastore ${datastore_name}</div>
    % endif
</div>
<div id="inventory">
    % if object_exists and is_infinidat_datastore and too_many_datastores:
    <div class="not-infinidat">Virtual Machine uses more than one datastore</div>
    % elif object_exists and not is_infinidat_datastore:
    <div class="not-infinidat">Virtual Machine is not on INFINIDAT datastore</div>
    % else:
    <div style="display:none" id="infinibox-${infinibox_serial}" data-name="${infinibox_name}"></div>
    <table id="snapshot_table" class="infinibox table" data-serial="${infinibox_serial}"><thead></thead><tbody></tbody></table>
    % endif
</div>

<script type="text/html" id="snapshot_actions_template">
    <div class="actions" data-name="{{ snapshot_name }}"
         data-desc="{{ snapshot_description }}" data-snapshot-id="{{ snapshot_id }}">
        <a href="#" class="actions-button">
            <span class="txt">Select...</span>
            <span class="ar">&#9660;</span>
        </a>
        <div class="actions-menu">
            <ul>
                <li><a class="edit_snapshot action-button" href="#">Edit</a></li>
                <li><a class="revert_snapshot action-button" href="#">Restore</a></li>
                <li><a class="expose_snapshot action-button" href="#">Expose</a></li>
                <li><a class="confirm_remove_snapshot action-button" href="#">Delete</a></li>
                <li><a class="volume_info action-button" href="#">Volume Information</a></li>
            </ul>
        </div>
    </div>
</script>

<%include file="snapshot_modal.mako"/>
<%include file="auth_modal.mako"/>
